package com.jxdinfo.hussar.core.util;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.core.util.MvnRequest;
import java.io.Closeable;
import java.io.Flushable;
import java.io.IOException;

public abstract class CloseOperation<V> extends MvnRequest.Operation<V> {
  private final boolean e;
  
  private final Closeable else;
  
  protected CloseOperation(Closeable closeable, int i) {
    this.else = closeable;
    this.e = i;
  }
  
  protected void done() throws IOException {
    if (this.else instanceof Flushable)
      ((Flushable)this.else).flush(); 
    if (this.e)
      try {
        this.else.close();
        return;
      } catch (IOException iOException) {
        return;
      }  
    this.else.close();
  }
}
